import 'package:flutter/material.dart';
import 'package:dyte_client/dyte.dart';
import 'package:dyte_client/dyteMeeting.dart';

void main() {
  runApp(MaterialApp(home:MyApp()));
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;
    return Scaffold(
        body: Row(
          // <Widget> is the type of items in the list.
          children: <Widget>[
            SizedBox(
              width: width,
              height: height,
              child: DyteMeeting(
                roomName: "cluttered-vessel",
                authToken: "",
                onInit: (DyteMeetingHandler meeting) async  {
                    new Future.delayed(const Duration(milliseconds: 10000), () async {
                      var self = await meeting.self;
                      print("test"+self.videoEnabled.toString()+"d"+self.audioEnabled.toString());
                    });
                },
              )
            )
          ],
        ),
    );
  }
}
